<?php
// WizyTówka - strona/tresc.php
if ( !defined('WT') ) exit();

function komunikat ( $tresc ) {
  $GLOBALS['komunikat'] = tekst($tresc,false);
}

function odnosnik ( $a2 = null, $b2 = null ) {
  if ( $a2 == null )
    $a2 = $GLOBALS['a'];
  if ( $b2 != null )
    $b2 = '&b=' . $b2;
  if ( !odczyt_konf('ustawienia','przyjazne_adresy') )
    $z = '?a=';
  elseif ( $b2 != null )
    $b2 = '?' . substr($b2,1);
  return odczyt_konf('ustawienia','adres') . '/' . $z . $a2 . $b2;
}

function plik ( $nazwa_pliku = null ) {
  return odczyt_konf('ustawienia','adres') . '/' . PLIKI . '/' . $nazwa_pliku;
}

function head () {
  echo '<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />' . "\n";
  if ( odczyt_konf('ustawienia','opis') != null )
    echo '<meta name="Description" content="' . odczyt_konf('ustawienia','opis') . '" />' . "\n";
  if ( odczyt_konf('ustawienia','slowa_kluczowe') != null )
    echo '<meta name="Keywords" content="' . odczyt_konf('ustawienia','slowa_kluczowe') . '" />' . "\n";
  if ( odczyt_konf('ustawienia','autor') != null )
    echo '<meta name="Author" content="' . odczyt_konf('ustawienia','autor') . '" />' . "\n";
  if ( odczyt_konf('ustawienia','nie_indeksuj_strony') )
    echo '<meta name="Robots" content="noindex" />' . "\n";
  echo '<meta name="Generator" content="WizyTowka - wizytowka.tomaszgasior.kao.pl" />' . "\n";
  echo '<title>' . tekst( sprintf(odczyt_konf('ustawienia','uklad_tytulu'),$GLOBALS['podstrona']['tytul_podstrony']), false ) . '</title>' . "\n";
  if ( $GLOBALS['motyw']['wlasne'] )
    echo '<link rel="Stylesheet" href="' . odczyt_konf('ustawienia','adres') . '/' . DANE . '/motywy/' . $GLOBALS['motyw']['nazwa'] . '.css" />' . "\n";
  else
    echo '<link rel="Stylesheet" href="' . odczyt_konf('ustawienia','adres') . '/' . SYSTEM . '/motywy/' . $GLOBALS['motyw']['nazwa'] . '.css" />' . "\n";
  if ( $GLOBALS['motyw']['ustawienia_uzytkownika'] and odczyt_konf('wyglad','ustawienia_uzytkownika') ) {
    $kroj = odczyt_konf('wyglad','kroj_tekstu');
    if ( $kroj != 'Arial' and $kroj != 'Georgia' and $kroj != 'Times New Roman' and $kroj != 'Trebuchet MS' and $kroj != 'Verdana' and $kroj != 'Tahoma' )
      echo '<link rel="Stylesheet" href="http://fonts.googleapis.com/css?family=' . str_replace(' ','+',$kroj) . '&subset=latin-ext"/>' . "\n";
    $style_wt = '.szerokosc, .u-u { width: ' . odczyt_konf('wyglad','szerokosc_strony') . 'px; } ' . "\n";
    $style_wt .= '.kroj, .u-u { font-family: ' . odczyt_konf('wyglad','kroj_tekstu') . ', sans-serif; } ';
    $style_wt .= '.rozmiar, .u-u { font-size: ' . odczyt_konf('wyglad','rozmiar_tekstu') . 'px; }' . "\n";
    $style_wt .= '.kolor-tekstu, .u-u { color: ' . odczyt_konf('wyglad','kolor_tekstu') . '; } ';
    $style_wt .= '.kolor-tla, .u-u { background-color: ' . odczyt_konf('wyglad','kolor_tla') . '; }' . "\n";
    $style_wt .= '.kolor-tekstu-jak-kolor-tla { color: ' . odczyt_konf('wyglad','kolor_tla') . '; } ';
    $style_wt .= '.kolor-tla-jak-kolor-tekstu { background-color: ' . odczyt_konf('wyglad','kolor_tekstu') . '; }' . "\n";
  }
  if ( !empty($GLOBALS['style']) or !empty($style_wt) )
    echo '<style>' . "\n" . $style_wt . $GLOBALS['style'] . '</style>' . "\n";
  echo $GLOBALS['head'];
  if ( $GLOBALS['start']['html5_ie'] )
    echo '<!--[if IE]>' . "\n" . '<script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>' . "\n" . '<![endif]-->' . "\n";
}

function tytul_strony () {
  echo '<a href="' . odczyt_konf('ustawienia','adres') . '">';
  if ( $GLOBALS['motyw']['logo_uzytkownika'] and odczyt_konf('wyglad','logo') != null )
    echo '<img src="' . tekst(odczyt_konf('ustawienia','adres'),false) . '/' . PLIKI . '/' . odczyt_konf('wyglad','logo') . '" alt="' . odczyt_konf('ustawienia','tytul') . '" />';
  else
    echo tekst(odczyt_konf('ustawienia','tytul'), false);
  echo '</a>';
}

function tytul_podstrony () {
  echo '<a href="' . odnosnik() . '">';
  echo tekst ($GLOBALS['podstrona']['tytul_podstrony'],false);
  echo '</a>';
}

function zawartosc ( $otworz = "<article>\n\n", $zamknij = "\n</article>\n" ) {
  if ( $GLOBALS['html'] == null and $GLOBALS['komunikat'] == null )
    komunikat('Strona jest pusta.');
  if ( !empty($GLOBALS['komunikat']) )
    echo '<p class="info">' . $GLOBALS['komunikat'] . '</p>' . "\n\n";
  if ( $GLOBALS['html'] != null ) {
    if ( is_array($GLOBALS['html']) ) {
      foreach ( $GLOBALS['html'] as $fragment )
        echo $otworz . $fragment . $zamknij;
    }
    else
      echo $otworz . $GLOBALS['html'] . $zamknij;
  }
}

function menu ( $menu_nr = 1, $otworz = '<li>', $zamknij = "</li>\n" ) {
  if ( $menu_nr == 2 )
    $menu = odczyt_konf('menu','menu_dodatkowe');
  else
    $menu = odczyt_konf('menu','menu_glowne');
  if ( count($menu) == 0 or @implode('',$menu) == '' )
    echo $otworz . 'Brak podstron' . $zamknij;
  else {
    foreach ( $menu as $element ) {
      $odczyt = odczyt_podstrona ($element);
      if ( $odczyt != false )
        echo $otworz . '<a href="' . odnosnik($element) . '">' . tekst($odczyt['tytul_podstrony'],false) . '</a>' . $zamknij;
    }
  }
}

function ostatnia_aktualizacja ( $otworz = '<p>', $zamknij = "</p>\n" ) {
  if ( odczyt_konf('ustawienia','ostatnia_aktualizacja') ) {
    echo $otworz;
    echo pokaz_date($GLOBALS['podstrona']['ostatnia_aktualizacja']);
    echo $zamknij;
  }
}

function stopka ( $rozdziel = ' | ', $dodatkowo = '' ) {
  $autor = odczyt_konf('ustawienia','autor');
  if (empty($autor))
    $autor = odczyt_konf('ustawienia','tytul');
  echo '&copy; ' . $autor . ' ' . date('Y');
  if ( odczyt_konf('statystyki','licznik') ) {
    $wszystkich_wejsc = odczyt_konf('statystyki','wejscia_wszystkie');
    if ( $GLOBALS['powiekszyc_liczbe_wejsc_o_jeden'] )
      ++$wszystkich_wejsc;
    printf ( $rozdziel . odczyt_konf('statystyki','tekst_licznika'), $wszystkich_wejsc );
  }
  if ( !empty($dodatkowo) )
    echo $rozdziel . $dodatkowo;
  if ( odczyt_konf('ustawienia','promocja_wt') )
    echo $rozdziel . '<a href="http://wizytowka.tomaszgasior.kao.pl" target="_blank">WizyTówka</a>';
  if ( odczyt_konf('ustawienia','link_edycja') and zalogowany() )
    echo '<a href="' . odczyt_konf('ustawienia','adres') . '/' . 'admin.php?a=edycja&b=' . $GLOBALS['a'] . '&kod=' . odczyt_konf('uzytkownik','kod') . '" style="height: 12px !important; width: 100px !important; position: fixed !important; top: 24px !important; right: 20px !important; padding: 5px !important; border-radius: 3px !important; background: transparent url(system/pliki/edycja.png) !important; font: 10px Arial, Helvetica, sans-serif !important; color: #EA3600 !important; text-align: center !important; text-transform: uppercase !important; border: 0 !important; text-shadow: none !important; text-decoration: none !important; text-indent: 0 !important;">Edytuj stronę</a>';
}

function statystyki () {
  if ( odczyt_konf('statystyki','statystyki_zewnetrzne') != null ) {
    if ( !odczyt_konf('statystyki','statystyki_zewnetrzne_niezalogowanym') or 
         (odczyt_konf('statystyki','statystyki_zewnetrzne_niezalogowanym') and !zalogowany()) )
      echo odczyt_konf('statystyki','statystyki_zewnetrzne') . "\n";
  }
}

function WT ( $co ) {
  $WT = array(
    'identyfikator' => $GLOBALS['a'],
    'id' => $GLOBALS['a'],
    'tytul' => $GLOBALS['podstrona']['tytul_podstrony'],
    'adres' => odnosnik(),
    'adres_strony' => odczyt_konf('ustawienia','adres'),
    'licznik_wejsc' => odczyt_konf('statystyki','wejscia_wszystkie'),
    'ostatnia_aktualizacja' => pokaz_date($GLOBALS['podstrona']['ostatnia_aktualizacja']),
    'menu_1' => odczyt_konf('menu','menu_glowne'),
    'menu_2' => odczyt_konf('menu','menu_dodatkowe')
  );
  if ( $GLOBALS['powiekszyc_liczbe_wejsc_o_jeden'] )
    ++$WT['licznik_wejsc'];
  return $WT[$co];
}

